!(function($){
	"use strict";
	$.fn.dtwpb_product_gallery_slider = function( options ){
		var defaults = {
			vertical: false,
			thumbsToShow: 4,
		}
		  var option = $.extend(defaults, options);
		  
		  $('#dtwpb-product-image-slider').slick({
			  slidesToShow:1,
			  slidesToScroll:1,
			  accessibility: false,
			  lazyLoad: 'progressive',
			  arrows:true,
			  fade:false,
			  infinite:true,
			  autoplay:false,
			  asNavFor:'#dtwpb-product-thumbnails-carousel',
			  dots :false,
		  });
		  
		  $('#dtwpb-product-thumbnails-carousel').slick({
			  slidesToShow:option.thumbsToShow,
			  slidesToScroll:1,
			  accessibility: false,
			  asNavFor:'#dtwpb-product-image-slider',
			  dots:false,
			  infinite:true,
			  arrows:true,
			  centerMode:false,
			  dots:false,
			  draggable: false,
			  vertical: option.vertical,
			  focusOnSelect:true,
			  responsive:[{
				  breakpoint:767,
				  settings:{
					  slidesToShow:3,
					  slidesToScroll:1,
					  vertical:false,
					  draggable:true,
					  autoplay:false,
					  isMobile:true,
					  arrows:false
					  }
			  },],});
		  
		  $('.woocommerce-product-gallery__image img').load(function() {
			    var imageObj = jQuery('.woocommerce-product-gallery__image img');
			    $('.woocommerce-product-gallery__image--thumbnail img').remove();
			    $( ".woocommerce-product-gallery__image--thumbnail" ).append( "<img src="+imageObj.attr('src')+" />" );
				
			    if (!(imageObj.width() == 1 && imageObj.height() == 1)) {
			    	$('.slider-for .woocommerce-product-gallery__image , #dtwpb-product-thumbnails-carousel .slick-slide .woocommerce-product-gallery__image--thumbnail').trigger('click');
			    	$('.woocommerce-product-gallery__image img').trigger('zoom.destroy');
			    }
		  });
		  
		  if( jQuery('.woocommerce-product-gallery-slider-wrap > .onsale').length ){
		  	var $onsaleHTML = jQuery('.woocommerce-product-gallery-slider-wrap > .onsale');
		  	jQuery('div.woocommerce-product-gallery-slider-wrap #dtwpb-product-image-slider').prepend($onsaleHTML);
		  }

	  };
	jQuery(document).ready(function($) {
		if( jQuery('.dtwpb-woocommerce-checkout').find('div.dtwpb_woocommerce_checkout_form-login').length){
			var checkout_login_toggle = jQuery(".dtwpb-woocommerce-checkout .woocommerce-form-login-toggle");
    		var checkout_form_login = jQuery(".dtwpb-woocommerce-checkout form.woocommerce-form-login");
    		jQuery(".dtwpb_woocommerce_checkout_form-login").append(checkout_login_toggle),checkout_login_toggle.show(),checkout_form_login.insertAfter(checkout_login_toggle);
    	}
    	if( jQuery('.dtwpb-woocommerce-checkout').find('div.dtwpb_woocommerce_checkout_coupon_form').length){
    		var coupon_toggle = jQuery(".dtwpb-woocommerce-checkout .woocommerce-form-coupon-toggle");
	    	var coupon_form = jQuery(".dtwpb-woocommerce-checkout form.woocommerce-form-coupon");
	    	jQuery(".dtwpb_woocommerce_checkout_coupon_form").append(coupon_toggle),coupon_toggle.show(),coupon_form.insertAfter(coupon_toggle);
    	}
	});
	
})(jQuery);
